List Scheduled Backups
GET/projects/:projectId/providers/Aruba.Database/dbaas/:dbaasId/databases/:databaseName/backups/scheduled
List Scheduled Backups
Request
Path Parameters
projectId stringrequired
Unique identifier of the CMP Project.
dbaasId stringrequired
DBaaS instance containing the database database to read.
databaseName stringrequired
The database to read.
Query Parameters
api-version string
The requested API version
Default value:
1Responses
- 200
- 404
- 500
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
total int64
self stringnullable
prev stringnullable
next stringnullable
first stringnullable
last stringnullable
values
object[]
metadata
object
name stringnullable
creationDate date-timenullable
properties
object
dbaas
object
uri stringnullable
name stringnullable
database
object
name stringnullable
datacenter stringnullable
storage
object
size int64nullable
{
"total": 0,
"self": "string",
"prev": "string",
"next": "string",
"first": "string",
"last": "string",
"values": [
{
"metadata": {
"name": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
},
"properties": {
"dbaas": {
"uri": "string",
"name": "string"
},
"database": {
"name": "string"
},
"datacenter": "string",
"storage": {
"size": 0
}
}
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64
self stringnullable
prev stringnullable
next stringnullable
first stringnullable
last stringnullable
values
object[]
metadata
object
name stringnullable
creationDate date-timenullable
properties
object
dbaas
object
uri stringnullable
name stringnullable
database
object
name stringnullable
datacenter stringnullable
storage
object
size int64nullable
{
"total": 0,
"self": "string",
"prev": "string",
"next": "string",
"first": "string",
"last": "string",
"values": [
{
"metadata": {
"name": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
},
"properties": {
"dbaas": {
"uri": "string",
"name": "string"
},
"database": {
"name": "string"
},
"datacenter": "string",
"storage": {
"size": 0
}
}
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64
self stringnullable
prev stringnullable
next stringnullable
first stringnullable
last stringnullable
values
object[]
metadata
object
name stringnullable
creationDate date-timenullable
properties
object
dbaas
object
uri stringnullable
name stringnullable
database
object
name stringnullable
datacenter stringnullable
storage
object
size int64nullable
{
"total": 0,
"self": "string",
"prev": "string",
"next": "string",
"first": "string",
"last": "string",
"values": [
{
"metadata": {
"name": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
},
"properties": {
"dbaas": {
"uri": "string",
"name": "string"
},
"database": {
"name": "string"
},
"datacenter": "string",
"storage": {
"size": 0
}
}
}
]
}
Not Found
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error
Loading...